<app-title-card [title]="'Profile'" [actions]="true"></app-title-card>
<mat-card class="profile-card">
  <mat-card-header class="profile-header">
    <mat-card-title> {{ profileForm.get("username").value }} </mat-card-title>
    <mat-card-subtitle>
      {{ profileForm.get("full_name").value }}
    </mat-card-subtitle>
  </mat-card-header>
  <div matRipple>
    <img style="cursor: pointer;" class="profile-card-image" mat-card-image src="{{ user.profile_photo }}"
      alt="{{ user.username }}" />
  </div>
  <mat-card-content>
    <form autocomplete="off" [formGroup]="profileForm" (ngSubmit)="handleForm()" id="editProfileForm">
      <app-input [inputFormControl]="profileForm.get('username')" [label]="'Username'" [iconName]="'person'"
        [hint]="'You only can change your username one time'" [placeholder]="'Enter your username'"></app-input>
      <app-input [inputFormControl]="profileForm.get('full_name')" [label]="'Full Name'"
        [placeholder]="'Enter your full name'" [iconName]="'face'"></app-input>
      <app-input [inputFormControl]="profileForm.get('email')" [type]="'text'" [label]="'Email'" [iconName]="'email'"
        [placeholder]="'Enter your email address'"></app-input>
      <app-input [inputFormControl]="profileForm.get('password')" [label]="'Password'" [isPassword]="true"
        [placeholder]="'Only enter if you want to change it'"></app-input>
      <input type="file" id="fileInput" (change)="previewPhoto($event)" hidden />
    </form>
  </mat-card-content>
  <mat-card-actions>
    <ng-container *ngIf="!toggle">
      <button mat-raised-button color="primary" (click)="enableEdit()">
        Edit profile
      </button>
      <button mat-raised-button color="warn" (click)="openDialog()">
        Delete Account
      </button>
    </ng-container>
    <button *ngIf="toggle" form="editProfileForm" mat-raised-button color="primary" type="submit">
      Save Changes
    </button>
    <button *ngIf="toggle" mat-raised-button color="primary" (click)="resetForm()">
      Cancel
    </button>
    <button *ngIf="toggle" mat-raised-button color="accent" (click)="openInput()">
      Upload Photo
    </button>
  </mat-card-actions>
</mat-card>
